# Argonauta

![](https://framagit.org/abakkk/Argonauta/raw/ressources/screenshots/screenshot1.jpg)
<br><br>

This extension displays a “Files” view similar to the Applications view, with the conveniences of a file manager. It is accessed through the combination `super + F`.
For those who are used to using the Applications view (`super + A`), this is quite natural.
<br><br>

### Features :

 * Moving the view in directories
 * Sidebar with places
 * Search entry with completion and history
 * Drag and drop
 * A "tab" for recent files
 * Another for favorites, either specific to the extension or those of Nautilus
 * Tag support (Tracker)
 * Thumbnail display (if Nautilus has already generated them)
 * File sorting
 * Numerous internal shortcuts
 * “read-only” mode, by disabling file manager
<br><br>

![](https://framagit.org/abakkk/Argonauta/raw/ressources/screenshots/screenshot2.jpg)
<br><br>

### To install :

 1. Download and decompress or clone the repository
 2. Place the resulting directory in ~/.local/share/gnome-shell/extensions
 3. IMPORTANT: change the directory name to argonauta@framagit.org
 4. Xorg: type `alt + F2` and `r` to restart Gnome-shell  
    Wayland: restart or re-login
 5. Enable extension in Gnome-tweak-tool
 6. `super + F` to test (super is the ©©Windows©© key)
 7. [https://framagit.org/abakkk/Argonauta/issues](https://framagit.org/abakkk/Argonauta/issues) to say it doesn't work
<br><br>

### Details :

 * ##### Extension as Desktop substitute :

   * Configure “Start view” and “Start directory”
   * Mounted partitions and media access in Desktop folder
   * Launcher support

   ![](https://framagit.org/abakkk/Argonauta/raw/ressources/screenshots/desktop.jpg)

 * ##### The search entry lets you :

   * Search items in displayed view
   * Enter paths and uris (e.g. `network:///`)
   * Enter tags (by starting with "#")

   ![](https://framagit.org/abakkk/Argonauta/raw/ressources/screenshots/search.jpg)
<br><br>

Nautilus is a great file manager but most often it is used to only access files. Keeping it open is a waste of resources and opening/closing it each time we need a file is a waste of time. Moreover a file view is more suited to multiple workspaces usage.
<br><br>

### Known issue :

Some distributions set CAP_SYS_NICE to gnome-shell to support new "rt-sheduler" feature. But it brings problems with gvfs in gnome-shell and Argonauta use it. If you can't access trash or remotes in the files view, you could try ```setcap -r /usr/bin/gnome-shell```.

[https://bugs.archlinux.org/task/62860](https://bugs.archlinux.org/task/62860)
[https://gitlab.gnome.org/GNOME/mutter/commit/dae2c1d420ed272710ac55b7a00f6787e5c0e762](https://gitlab.gnome.org/GNOME/mutter/commit/dae2c1d420ed272710ac55b7a00f6787e5c0e762)

### Credits :

 * GNOME Shell authors : a lot of code is picked from GNOME Shell
 * [charlesg99](https://github.com/charlesg99) : ES6 class support ([`defineClass`](https://github.com/home-sweet-gnome/dash-to-panel/blob/master/utils.js)) from “Dash to panel” extension

